package com.example.demo;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Arrays;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
public class StudentConfigTest {
    @Autowired
    @Qualifier("previous")
    private Students previous;

    @Autowired
    @Qualifier("students")
    private Students students;

    @Test
    public void testPreviousStudents(){
        List<String> names = Arrays.asList("Lauren Bobby Joe X".split(" "));
        for(Student student : previous){
            String name = student.getName();
            boolean outcome = names.contains(name);

            Assert.assertTrue(outcome);
        };

    }





}
