package com.example.demo;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

@Configuration
public class InstructorsConfig {

    @Bean(name = "toUsaInstructors")
    public Instructors tcUsaInstructors(){

        return new Instructors(
                new Instructor(0, "Wilhelm"),
                new Instructor(1, "BobbyFLay"),
                new Instructor(2, "WakaFLocka")
                );
    }

    @Bean(name = "tcUkInstructors")
    public Instructors tcUkInstructors(){
        return new Instructors(
                new Instructor(0, "Quavo"),
                new Instructor(0, "Offset"),
                new Instructor(0, "Takeoff")
                );
    }

@Primary
@Bean(name = "allInstructors")
public Instructors allInstructors(){
        return new Instructors();
    }
}
