package com.example.demo;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

public class People <PersonType extends Person> implements Iterable<PersonType>{

    List <PersonType> personList;

    public People(PersonType... p) {
        this.personList = new ArrayList<>(Arrays.asList(p));
    }

    public void add(PersonType personType){
        personList.add(personType);
    }

    public void remove(PersonType personType){
        personList.remove(personType);
    }

    public int size(){
        return personList.size();
    }

    public void clear(){
        personList.clear();
    }

    public void addAll(Iterable<? extends PersonType> param){

        personList.iterator();

    }

    public PersonType findById(long id){
        for(PersonType p : personList){
            if(p.getId() == id){
                return p;
            }
        }
        return null;
    }

    public List findAll(){
        return personList;
    }

    @Override
    public Iterator<PersonType> iterator() {
        return personList.iterator();
    }
}
